@Incubating

# Package org.gradle.workers

Workers allow running pieces of work in the background, either in-process in isolated classloaders or out-of-process in reusable daemons.

See: Description

- Interface Summary
  Interface | Description
  --- | ---
  WorkerConfiguration | Represents the configuration of a worker.
  WorkerExecutor | Allows work to be submitted for asynchronous execution.

- Enum Summary
  Enum | Description
  --- | ---
  ForkMode | Forking mode for workers.
  IsolationMode | Isolation mode for workers.

- Exception Summary
  Exception | Description
  --- | ---
  WorkerExecutionException | Indicates that a failure occurred during execution of work in a worker.

## Package org.gradle.workers Description

Workers allow running pieces of work in the background, either in-process in isolated classloaders or out-of-process in reusable daemons.

Since:
  3.5